Bug 1324508 - [RFE] Accept 'organization' and 'location' parameters for POST/PUT requests for discovery rules
Summary: [RFE] Accept 'organization' and 'location' parameters for POST/PUT requests f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Discovery Plugin
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-06 13:49 UTC by Andrii Balakhtar
Modified: 2020-07-16 08:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:34:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14637 0 None None None 2016-04-22 14:56:00 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Andrii Balakhtar 2016-04-06 13:49:16 UTC
Description of problem:
For UI, we can create a discovery rule associated with any specific Organization or Location. Via API we can't create/update a discovery rule with org/loc - satellite doesn't accept 'organization' or 'location' params, there's also no references to such params in apidocs. It's problematic as discovery rules created via API can't be seen via UI in any specific location/organization (except the case of 'any context').

Version-Release number of selected component (if applicable):
Sat6.2 Beta Snap6

How reproducible:
Always

Steps to Reproduce:
1. Try to create a discovery rule via API with 'organization' and 'location' parameters specified
2. Try to update existing discovery rule via API with any 'organization' and 'location'
3.

Actual results:
'organization' and 'location' parameters are not accepted

Expected results:
User should be able to create a discovery rule with organization and location specified as well as update existing discovery rule with new org/loc combination.

Additional info:

Comment 3 Lukas Zapletal 2016-04-14 08:39:55 UTC
Indeed, this is a bug - we are missing the support completely. Scheduling for Discovery 6.0 upstream release.

Comment 4 Bryan Kearney 2016-06-28 14:15:01 UTC
Upstream bug assigned to szadok@redhat.com

Comment 5 Bryan Kearney 2016-06-28 14:15:03 UTC
Upstream bug assigned to szadok@redhat.com

Comment 6 Bryan Kearney 2016-07-21 16:04:02 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14637 has been closed

Comment 8 Andrii Balakhtar 2016-10-21 09:34:29 UTC
VERIFIED in Sat 6.3.0 Snap 4
Now it's possible to either create or update discovery rule with location and organization. There's one issue though - parameters `location-ids` and `organization-ids` are accepted, but not returned via POST/PUT requests. I'll fill a separate bug for that.

Comment 12 errata-xmlrpc 2018-02-21 12:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.